//+------------------------------------------------------------------+
//|                                          Candle Pips Alerter.mq4 |
//|                          Copyright  2011, Forex-Programming.com |
//|                                 http://www.forex-programming.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, Forex-Programming.com"
#property link      "http://www.forex-programming.com"

#property indicator_chart_window

extern int Pips = 10;
extern bool Alerts = true;
extern bool Email = true;

double point;


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   if (Digits==1)point=0.1;
   if (Digits==2)point=0.01;
   if (Digits==3)point=0.01;
   if (Digits==4)point=0.0001;
   if (Digits==5)point=0.0001;
  
   Comments();
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
   Comment("");
   
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   if (Bars<100)return;
  
   if (Close[0]>=Open[0]+Pips*point)Alerts("up ");
   if (Close[0]<=Open[0]-Pips*point)Alerts("down ");
   
   return(0);
  }
//+------------------------------------------------------------------+

void Alerts(string cdir)
 {
   static datetime alerttime=0;
   static string   dir="";
   
  if (alerttime!=Time[0] || dir!=cdir)
  {
      alerttime=Time[0];
      dir      = cdir;
      if (Alerts)
      {
       Alert("Price has moved " + dir + Pips + " pips on the " + Symbol() + TFName(Period()));
      }
     if (Email)
      {
      SendMail("Candle Pips Alerter", "Price has moved " + dir + Pips + " pips on the " + Symbol() + TFName(Period()));
      }
   }   
   return;
}

string TFName( int tf )
 {
  switch(tf) 
   {
      case PERIOD_M1: return(" M1"); break;
		case PERIOD_M5: return(" M5"); break;
		case PERIOD_M15: return(" M15"); break;
		case PERIOD_M30: return(" M30"); break;
		case PERIOD_H1: return(" H1"); break;
		case PERIOD_H4: return(" H4"); break;
		case PERIOD_D1: return(" Daily"); break;
		case PERIOD_W1: return(" Weekly"); break;
		default: return(" Monthly");
	}
	
  return;
}


void Comments()
 {
  Comment("www.forex-programming.com");
  
  return;
 }